# pwgen

Generate word-based passwords. Based on XKCD/936, word-based passwords are easier to remember than a string of random letters/numbers/punctuation.

[TOC]

### Overview

Password generators can be found all over the internet, but most generate random combinations of letters+numbers+punctuation. If a combination of those is long enough to be secure, it is also long enough to be difficult to remember, and possible difficult to type.

The XKCD comic #936 introduced the idea that a phrase of 3, 4 or 5 common words can be used as a password that is sufficiently difficult to crack in our lifetimes. The program **pwgen** is a locally hosted generator of these kinds of pass phrases.

The program runs locally on a UNIX/Linux based computer, and the passphrase never crosses the network, so you can be sure that you're the only one who has ever seen it.

### Usage






#### Other implementations

http://www.egansoft.com/password/index.php

https://passwords-generator.org/words

https://passwordcreator.org/commonwords.html

https://mdigi.tools/memorable-password/

https://www.mapletech.co.uk/tools/password-generator/ 
